Subject: Re: bug#29935: recipe and improved patch

From: martin rudalics <[email-masked]>
Date: Sun, 15 Apr 2018 09:09:05 +0200

>> Then the problem seems to be the familiar one: Calling
 >> `switch-to-buffer' instead of `display-buffer-same-window'.
 >
 > So would replacing those calls in the copyright-* functions fix these
 > problems?

As a rule, applications should avoid calling 'switch-to-buffer' unless
they want to adhere to the default value or the user's customization
of 'switch-to-buffer-preserve-window-point'.  If that can be excluded,
replacing those calls should fix problems like the one seen here.

martin